//Tags

onEvent('tags.items', e => {
  
//e.add('skyopolis:plane', ['simpleplanes:large_plane', 'simpleplanes:helicopter', 'simpleplanes:plane'])
e.add('caveopolis:pebble', ['caveopolis:andesite_pebble', 'caveopolis:granite_pebble', 'caveopolis:diorite_pebble', 'caveopolis:stone_pebble', 'caveopolis:cobblestone_pebble'])
      
e.add('caveopolis:bio_fuel', ['mekanism:bio_fuel'])

e.add('caveopolis:gems', ['minecraft:diamond', 'minecraft:emerald'])
e.add('caveopolis:gears', ['thermal:diamond_gear', 'thermal:emerald_gear'])
e.add('caveopolis:machine_dust', ['mekanism:dust_osmium', 'mekanism:dust_fluorite'])

e.add('caveopolis:upgrades', ['caveopolis:ore_extractor_upgrade_blazing', 'caveopolis:ore_extractor_upgrade_tier_2', 'caveopolis:ore_extractor_upgrade_tier_1', 'caveopolis:ore_extractor_upgrade_base', 'caveopolis:ore_extractor_upgrade_tier_3', 'caveopolis:ore_extractor_upgrade_tier_4'])

e.add('forge:stone', ['caveopolis:white_colored_stone', 'caveopolis:black_colored_stone', 'caveopolis:red_colored_stone', 'caveopolis:yellow_colored_stone', 'caveopolis:blue_colored_stone', 'caveopolis:pink_colored_stone', 'caveopolis:purple_colored_stone', 'caveopolis:magenta_colored_stone', 'caveopolis:cyan_colored_stone', 'caveopolis:gray_colored_stone', 'caveopolis:brown_colored_stone', 'caveopolis:light_gray_colored_stone', 'caveopolis:orange_colored_stone', 'caveopolis:green_colored_stone', 'caveopolis:lime_colored_stone', 'caveopolis:light_blue_colored_stone'])

e.add('powah:uraninite', ['powah:uraninite'])


//Forge Tag Fixed For Mods

e.add('forge:nuggets/copper', ['exlinecopperequipment:copper_nugget'])


})

onEvent('tags.blocks', e => {

e.add('caveopolis:level_1_blocks', ['minecraft:stone'])
e.add('caveopolis:level_2_blocks', ['minecraft:granite', 'minecraft:andesite', 'minecraft:diorite'])
e.add('caveopolis:level_3_blocks', ['minecraft:dripstone_block', 'minecraft:prismarine'])
e.add('caveopolis:level_4_blocks', ['minecraft:basalt'])
e.add('caveopolis:level_5_blocks', ['minecraft:deepslate'])
e.add('caveopolis:level_6_blocks', ['caveopolis:toprock'])

// Custom Machinery 

e.add('kubejs:basic_barrel', ['kubejs:db_basic_barrel','custommachinery:custom_machine_block'])
e.add('kubejs:advanced_barrel', ['kubejs:db_advanced_barrel','custommachinery:custom_machine_block'])
e.add('kubejs:eroder', ['kubejs:db_eroder','custommachinery:custom_machine_block'])
e.add('kubejs:alloy_mixer', ['kubejs:db_alloy_mixer','custommachinery:custom_machine_block'])
e.add('kubejs:ore_extractor', ['kubejs:db_ore_extractor','custommachinery:custom_machine_block'])
e.add('kubejs:soul_forge', ['kubejs:db_soul_forge','custommachinery:custom_machine_block'])
e.add('kubejs:dragon_infuser', ['kubejs:db_dragon_infuser','custommachinery:custom_machine_block'])

e.add('kubejs:heat_sources', ['mekanism:superheating_element', 'minecraft:lava','minecraft:campfire','minecraft:fire','#forge:storage_blocks/uranium'])

})

onEvent('tags.fluids', e => {

//e.add('skyopolis:molten_fungus', 'skyopolis:molten_fungus')

})